% Generated by roxygen2 (4.0.2): do not edit by hand
\name{packrat-external}
\alias{extlib}
\alias{packrat-external}
\alias{packrat_lib}
\alias{user_lib}
\alias{with_extlib}
\title{Managing External Libraries}
\usage{
with_extlib(packages, expr, envir = parent.frame())

extlib(packages)

user_lib()

packrat_lib()
}
\arguments{
\item{packages}{A set of package names (as a character vector) to load for
the duration of evaluation of \code{expr}.}

\item{expr}{An \R expression.}

\item{envir}{An environment in which the expression is evaluated.}
}
\description{
These functions provide a mechanism for (temporarily) using packages outside of the
packrat private library.
}
\examples{
\dontrun{
with_extlib("lattice", xyplot(1 ~ 1))
}
}

